# Sound level

A decision block that checks the surrounding or internal mixers sound level.

If the proceed option is set to Immediately, then check the current sound level without pausing the fiber. If set to When changed, then the fiber will pause until the level has changed to within the level range, or it’s no longer within the range.

If both minimum level and maximum level is set and doesn’t evaluate to `null` then the sound level must be within the range. If only minimum is set, then the level must be greater than or equal to it. If only maximum is set, then the level must be less than or equal to it. If neither minimum nor maximum is set, then the current level is just assigned to the current level variable without a check.

Decibel (dB) is a unit for measuring the relative loudness of sounds. Measuring the true environmental noise level will require a reference level, the built-in microphone is uncalibrated so the reference level is unknown and will differ between devices. Only use this block to measure relative loudness.

Warning! This feature consumes a lot of power during continuous use. Use the Device keep awake block for uninterrupted sampling.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Audio source — audio source to record, default is Default.
- Minimum level — minimum sound level in decibel.
- Maximum level — maximum sound level in decibel.

## Output variables

- Current level — variable to assign the current sound level in decibel.